Bug 165288 - Review Request: libgdamm
Summary: Review Request: libgdamm
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Michael Schwendt
QA Contact: David Lawrence
URL: http://www.gtkmm.org
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2005-08-07 02:17 UTC by Tom "spot" Callaway
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-13 20:51:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Updated Spec file (1.59 KB, text/plain)
2005-08-11 15:55 UTC, Tom "spot" Callaway
no flags Details

Description Tom "spot" Callaway 2005-08-07 02:17:55 UTC
Spec Name or Url:
http://www.auroralinux.org/people/spot/review/libgdamm.spec

SRPM Name or Url: http://www.auroralinux.org/people/spot/review/libgdamm-1.3.7-1.src.rpm

Description: C++ wrappers for libgda. libgdamm is part of gnomemm - the C++
interface to the GTK+ GUI library.

This package was requested to help clear the path for glom. The spec is pretty typical for a gtk lib. 

Thanks in advance.

Comment 1 Michael Schwendt 2005-08-07 03:27:36 UTC
libgdamm-devel "Requires: glibmm24-devel" because of C++ header contents
and "Requires: libgda-devel" because of pkg-config file dependencies.

Generic INSTALL file in %doc is of no interest to package users.

README in %doc is 24 bytes and pretty much useless (unless you insist
on packaging it because it _may_ change in the future).

--enable-docs doesn't do anything.

Both package descriptions are confusing, IMHO. I don't think "libgdamm
is part of gnomemm" (=> libgnomemm26 in Extras). It is "part of a set of
powerful C++ bindings for the GNOME libraries, which provide additional 
functionality above GTK+/gtkmm".

In -devel summary and description I usually add the information that
"libraries" are included, too.

Comment 2 Tom "spot" Callaway 2005-08-11 15:55:58 UTC
Created attachment 117652 [details]
Updated Spec file

This updated spec makes the changes that you've pointed out. :)

Comment 3 Michael Schwendt 2005-08-11 16:47:21 UTC
Right. Approved.



Note You need to log in before you can comment on or make changes to this bug.